# TImportFileData Class Reference

Inheritance diagram for TImportFileData:

List of all members.

## Public Member Functions
virtual MCErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual uint32 MCCOMAPI | Release ()
virtual IDType MCCOMAPI | GetDataID () const
virtual IDType MCCOMAPI | GetDataHint () const
| the id of the flavor (eg kDragFlavor_ImportFile)
virtual IMCFile *MCCOMAPI | GetDataFile () const
| a hint about the content of the data (eg the file's MCFileTypeID)
## Static Public Member Functions
static void | Create (const TMFFlavor &inFlavor, IMCFile *inFile, I3DImportData **outData)
## Protected Member Functions
| TImportFileData (const TMFFlavor &inFlavor, IMCFile *inFile)
| ~TImportFileData ()
## Protected Attributes
TMFFlavor | fFlavor
TMCCountedPtr< IMCFile > | fFile

## Constructor & Destructor Documentation

TImportFileData::TImportFileData | ( | const TMFFlavor & | inFlavor,
|  | IMCFile * | inFile |
| ) |  |  | `[inline, protected]`

TImportFileData::~TImportFileData | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual uint32 MCCOMAPI TImportFileData::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TMCCountedObject.

static void TImportFileData::Create | ( | const TMFFlavor & | inFlavor,
|  | IMCFile * | inFile,
|  | I3DImportData ** | outData |
| ) |  |  | `[inline, static]`

virtual IMCFile* MCCOMAPI TImportFileData::GetDataFile | ( |  | ) | const`[inline, virtual]`

a hint about the content of the data (eg the file's MCFileTypeID)

Implements I3DImportData.

virtual IDType MCCOMAPI TImportFileData::GetDataHint | ( |  | ) | const`[inline, virtual]`

the id of the flavor (eg kDragFlavor_ImportFile)

Implements I3DImportData.

virtual IDType MCCOMAPI TImportFileData::GetDataID | ( |  | ) | const`[inline, virtual]`

Implements I3DImportData.

virtual MCErr MCCOMAPI TImportFileData::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[inline, virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TMCCountedObject.

virtual uint32 MCCOMAPI TImportFileData::Release | ( |  | ) | `[inline, virtual]`

Decrements the reference count of the object. If the reference count reaches zero, the object is destroyed.

Reimplemented from TMCCountedObject.

## Member Data Documentation

TMCCountedPtr<IMCFile> TImportFileData::fFile`[protected]`

TMFFlavor TImportFileData::fFlavor`[protected]`

The documentation for this class was generated from the following file:

- ImportFileData.h